# Badgify

[![Build Status](https://semaphoreci.com/api/v1/projects/d74d410a-968c-4281-86da-7ecbe89eecd8/2091580/badge.svg)](https://semaphoreci.com/olimart/badgify_ruby)

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'badgify-ruby', require: 'badgify'
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install badgify-ruby

## Usage

In your application

1. Set token

```ruby
Badgify.token = ENV['BADGIFY_TOKEN']
```

2. Retrieve categories

```ruby
Badgify::Category.list
Badgify::Category.retrieve('category-slug', { threshold: 10 })
```

## Development

After checking out the repo, run `bin/setup` to install dependencies. Then, run `rake test` to run the tests. You can also run `bin/console` for an interactive prompt that will allow you to experiment.

To install this gem onto your local machine, run `bundle exec rake install`. To release a new version, update the version number in `version.rb`, and then run `bundle exec rake release`, which will create a git tag for the version, push git commits and tags, and push the `.gem` file to [rubygems.org](https://rubygems.org).

To experiment with that code, run `bin/console` for an interactive prompt.

## License

The gem is available as open source under the terms of the [MIT License](https://opensource.org/licenses/MIT).
